<?php
/**
 * The template for displaying the footer.
 *
 * Contains the closing of the #content div and all content after
 *
 * @package Dashing
 */
?>
<div id="footer-wrapper">
    	<div class="container">
             <div class="cols-3 widget-column-1"> 
                <?php if ( get_theme_mod('about_title') !== "") { ?>
                <h5><?php echo esc_attr_e( get_theme_mod( 'about_title', __('About Us','dashing'))); ?></h5>             
			   <?php } ?>
               
                <?php if ( get_theme_mod('about_description') !== "") { ?>
                <p><?php echo esc_attr_e( get_theme_mod( 'about_description', __('Donec ut ex ac nulla pellentesque mollis in a enim. Praesent placerat sapien mauris, vitae sodales tellus venenatis ac. Suspendisse suscipit velit id  Duis turpis arcu, aliquet sed sollicitudin sed, porta quis ultricies auctor. Duis turpis arcu, aliquet sed sollicitudin sed, porta quis urna. Quisque velit nibh, egestas et erat a, vehicula interdum augue.','dashing'))); ?></p>
			   <?php } ?> 
               
            </div><!--end .widget-column-1-->                  
			         
             
             <div class="cols-3 widget-column-2"> 
               <?php if ( get_theme_mod( 'contact_title' ) !== "" ){  ?>
                <h5><?php echo esc_attr_e( get_theme_mod( 'contact_title', __('Latest Posts','dashing'))); ?></h5>              
			   <?php } ?>              
                 
                <?php $args = array( 'posts_per_page' => 3, 'post__not_in' => get_option('sticky_posts'), 'orderby' => 'date', 'order' => 'desc' );
                    query_posts( $args ); ?>
                    
                  <?php while ( have_posts() ) :  the_post(); ?>
                        <div class="recent-post">
                         <a href="<?php the_permalink(); ?>"><?php the_post_thumbnail('thumbnail'); ?></a>
                         <a href="<?php the_permalink(); ?>"><h6><?php the_title(); ?></h6></a>                         
                         <p><?php echo dashing_content(10); ?></p>                         
                        </div>
                 <?php endwhile; ?>
               
                       	
              </div><!--end .widget-column-2-->     
                      
               <div class="cols-3 widget-column-3">                   
              <?php if ( get_theme_mod( 'contact_title' ) !== "" ){  ?>
                <h5><?php echo esc_attr_e( get_theme_mod( 'contact_title', __('Contact Info','dashing'))); ?></h5>              
			   <?php } ?>
               
                <div class="contactdetail">
               <?php if ( get_theme_mod('contact_add') !== "") { ?>
                <p><i class="fa fa-map-marker"></i> <?php echo esc_attr_e( get_theme_mod( 'contact_add', __('10 Bridge Street, Newyork, United State.','dashing'))); ?></p>			   			   <?php } ?>
            
              <?php if ( get_theme_mod('contact_no') !== "") { ?>
                <p><i class="fa fa-phone"></i><?php echo esc_attr_e( get_theme_mod( 'contact_no', __('(906) 999 888 7777','dashing'))); ?></p>              
			   <?php } ?>  
                         
               <?php if( get_theme_mod('contact_mail') !== ""){ ?>
              <p><i class="fa fa-envelope"></i><a href="mailto:<?php echo sanitize_email(get_theme_mod('contact_mail','contact@company.com')); ?>"><?php echo get_theme_mod('contact_mail','contact@company.com'); ?></a></p>			
			  <?php } ?> 
              
              <?php if( get_theme_mod('faxno') !== ''){ ?>
                <p><i class="fa fa-fax"></i> <?php echo esc_attr_e( get_theme_mod( 'faxno', __('(903) 333 6666 7777','dashing'))); ?></p>
              <?php } ?>
            
                            
			</div><!--end .contactdetail-->
            
            	<div class="clear"></div>                
                  <div class="social-icons">
					<?php if ( get_theme_mod('fb_link') !== "") { ?>
                    <a title="facebook" class="fa fa-facebook" target="_blank" href="<?php echo esc_url(get_theme_mod('fb_link','#facebook')); ?>"></a> 
                    <?php } ?>
                    
                    <?php if ( get_theme_mod('twitt_link') !== "") { ?>
                    <a title="twitter" class="fa fa-twitter" target="_blank" href="<?php echo esc_url(get_theme_mod('twitt_link','#twitter')); ?>"></a>
                    <?php } ?> 
                    
                    <?php if ( get_theme_mod('gplus_link') !== "") { ?>
                    <a title="google-plus" class="fa fa-google-plus" target="_blank" href="<?php echo esc_url(get_theme_mod('gplus_link','#gplus')); ?>"></a>
                    <?php } ?>
                    
                    <?php if ( get_theme_mod('linked_link') !== "") { ?> 
                    <a title="linkedin" class="fa fa-linkedin" target="_blank" href="<?php echo esc_url(get_theme_mod('linked_link','#linkedin')); ?>"></a>
                    <?php }  ?>
                  </div>  
                    
           </div><!--end .widget-column-3-->
                
                
            <div class="clear"></div>
        </div><!--end .container--> 
        
        <div class="copyright-wrapper">
        	<div class="container">
            	<div class="copyright-txt">
				<?php if ( get_theme_mod('copyright_text') !== "") { ?>
               		<?php echo esc_html( get_theme_mod( 'copyright_text', __('Copyright &copy; 2016. All Rights Reserved','dashing'))); ?>       
                <?php } ?>               
       			 </div>
                <div class="design-by">
                 <?php echo dashing_designbytext(); ?>				
                </div>
                <div class="clear"></div>
            </div>            
        </div><!--end .copyright-wrapper--> 
               
    </div><!--end .footer-wrapper--> 
<?php wp_footer(); ?>

</body>
</html>